#
# spec file for package perl-Email-MessageID
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Email-MessageID
Name:           perl-Email-MessageID
Version:        1.408
Release:        bp160.1.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Generate world unique message-ids
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
Message-ids are optional, but highly recommended, headers that identify a
message uniquely. This software generates a unique message-id.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.408
  see /usr/share/doc/packages/perl-Email-MessageID/Changes
  1.408     2022-12-31 21:28:29-05:00 America/New_York
  - update author contact info
* Sun Oct 23 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.407
  see /usr/share/doc/packages/perl-Email-MessageID/Changes
  1.407     2022-10-22 16:07:04-04:00 America/New_York
  - update docs: this is not a subclass of Email::Address (thanks, Pali!)
  - update some packaging notes
* Sun Aug 23 2015 coolo@suse.com
- updated to 1.406
  see /usr/share/doc/packages/perl-Email-MessageID/Changes
  1.406     2015-08-10 12:08:52-04:00 America/New_York
  - when Sys::Hostname::Long is available, use hostname_long, not
    hostname()
* Mon Jul 28 2014 coolo@suse.com
- updated to 1.405
  * minor tweaks to how message-id local part is generated
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.404
    no changes since previous release
    [This might break your code]
    no longer a subclass of Email::Address!
* Tue Nov 29 2011 coolo@suse.com
- use original tar
* Mon Jan 17 2011 coolo@novell.com
- update to 1.402
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- recreated with cpanspec 1.78.02
* Fri Sep 14 2007 jfunk@funktronics.ca
- Initial release
